com.sun.jna.platform.win32.COM

## Class ITypeLib

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.COM.IUnknown
    - - com.sun.jna.platform.win32.COM.ITypeLib

- All Implemented Interfaces:
    NativeMapped

      public class ITypeLib
      extends IUnknown

  Wrapper class for the ITypeLib interface
  Author:
    Tobias Wolf, wolf.tobias@gmx.net

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ITypeLib.ByReference`

  - ### Field Summary

    - ### Fields inherited from class com.sun.jna.platform.win32.COM.IUnknown

      `IID_IDispatch`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ITypeLib()`
    `ITypeLib(Pointer pvInstance)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `WinNT.HRESULT` | `FindName(WString szNameBuf, WinDef.ULONG lHashVal, ITypeInfo.ByReference ppTInfo, OaIdl.MEMBERIDByReference rgMemId, WinDef.USHORTByReference pcFound)`
    `WinNT.HRESULT` | `GetDocumentation(int index, WTypes.BSTR pBstrName, WTypes.BSTR pBstrDocString, WinDef.DWORDByReference pdwHelpContext, WTypes.BSTR pBstrHelpFile)`
    `WinNT.HRESULT` | `GetLibAttr(OaIdl.TLIBATTR.ByReference ppTLibAttr)`
    `WinNT.HRESULT` | `GetTypeComp(ITypeComp.ByReference pTComp)`
    `WinNT.HRESULT` | `GetTypeInfo(WinDef.UINT index, ITypeInfo.ByReference pTInfo)`
    `WinDef.UINT` | `GetTypeInfoCount()`
    `WinNT.HRESULT` | `GetTypeInfoOfGuid(Guid.GUID guid, ITypeInfo.ByReference pTinfo)`
    `WinNT.HRESULT` | `GetTypeInfoType(WinDef.UINT index, IntByReference pTKind)`
    `WinNT.HRESULT` | `IsName(WString szNameBuf, WinDef.ULONG lHashVal, WinDef.BOOLByReference pfName)`
    `void` | `ReleaseTLibAttr(OaIdl.TLIBATTR pTLibAttr)`

    - ### Methods inherited from class com.sun.jna.platform.win32.COM.IUnknown

      `AddRef, QueryInterface, Release`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ITypeLib

          public ITypeLib()

    - #### ITypeLib

          public ITypeLib(Pointer pvInstance)

  - ### Method Detail

    - #### GetTypeInfoCount

          public WinDef.UINT GetTypeInfoCount()

    - #### GetTypeInfo

          public WinNT.HRESULT GetTypeInfo(WinDef.UINT index,
                                  ITypeInfo.ByReference pTInfo)

    - #### GetTypeInfoType

          public WinNT.HRESULT GetTypeInfoType(WinDef.UINT index,
                                      IntByReference pTKind)

    - #### GetTypeInfoOfGuid

          public WinNT.HRESULT GetTypeInfoOfGuid(Guid.GUID guid,
                                        ITypeInfo.ByReference pTinfo)

    - #### GetLibAttr

          public WinNT.HRESULT GetLibAttr(OaIdl.TLIBATTR.ByReference ppTLibAttr)

    - #### GetTypeComp

          public WinNT.HRESULT GetTypeComp(ITypeComp.ByReference pTComp)

    - #### GetDocumentation

          public WinNT.HRESULT GetDocumentation(int index,
                                       WTypes.BSTR pBstrName,
                                       WTypes.BSTR pBstrDocString,
                                       WinDef.DWORDByReference pdwHelpContext,
                                       WTypes.BSTR pBstrHelpFile)

    - #### IsName

          public WinNT.HRESULT IsName(WString szNameBuf,
                             WinDef.ULONG lHashVal,
                             WinDef.BOOLByReference pfName)

    - #### FindName

          public WinNT.HRESULT FindName(WString szNameBuf,
                               WinDef.ULONG lHashVal,
                               ITypeInfo.ByReference ppTInfo,
                               OaIdl.MEMBERIDByReference rgMemId,
                               WinDef.USHORTByReference pcFound)

    - #### ReleaseTLibAttr

          public void ReleaseTLibAttr(OaIdl.TLIBATTR pTLibAttr)

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.